use crate::gitea::client::Client;
use serde::Deserialize;
use crate::gitea::repository::Repository;

#[derive(Debug, Deserialize)]
pub struct Issue {
    id: u64,
    number: u64,
    title: String,
    body: String,
    repository: Repository
}

pub trait IssueClient {
    fn get_issue(owner_or_organisation: &String, repo: &String, number: &u64) -> Option<Issue>;
}

impl IssueClient for Client {
    fn get_issue(owner_or_organisation: &String, repo: &String, number: &u64) -> Option<Issue> {
        todo!()
    }
}
